/***************************************************************
 * Name:      calendar.h
 * Purpose:   Defines Dialog calendar
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-12-25
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef CALENDAR_H
#define CALENDAR_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/calctrl.h>
#include <wx/generic/calctrlg.h>
#include <wx/wfstream.h>
#include "festivos.h"
#include "domingos.h"

class datosCalendar
{
    public:
        datosCalendar(wxDateTime dt=wxDefaultDateTime) : valor(dt) {}

    //private:
        wxDateTime valor;
};

class calendar : public wxDialog
{
    public:
        calendar(wxWindow *wnd, datosCalendar &datos);
        virtual ~calendar();

    protected:
        enum
        {
            idCalendar = 1000
        };
        datosCalendar& data;

        wxGenericCalendarCtrl* m_calendar;

    private:
        void AsignarAutoridad(int year);
        void OnClose(wxCloseEvent& event);
        void OnCalendar(wxCalendarEvent& event);
        void OnCambioAnno(wxCalendarEvent& event);
        void OnCambioMes(wxCalendarEvent& event);
        void MarcarHoy(const wxDateTime& dt);
        void OnOk(wxCommandEvent& event);
        wxDECLARE_EVENT_TABLE();
};

#endif // CALENDAR_H
