/***************************************************************
 * Name:      datepicker.h
 * Purpose:   Defines Dialog datepicker
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-12-29
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef DATEPICKER_H
#define DATEPICKER_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/datectrl.h>

class datosDatePicker
{
    public:
        datosDatePicker(wxDateTime dt=wxDefaultDateTime) : valor(dt) {}

    //private:
        wxDateTime valor;
};

class dpValidator : public wxValidator {
public:
    dpValidator(wxDateTime *v = nullptr) : m_valor(v) {}
    virtual wxObject* Clone() const { return new dpValidator(*this); }
    virtual bool TransferFromWindow();
    virtual bool TransferToWindow() { return true; }
    virtual bool Validate(wxWindow * parent) { return true; }
private:
    wxDateTime* m_valor;
    DECLARE_DYNAMIC_CLASS( dpValidator )
    DECLARE_EVENT_TABLE()
};

class datepicker : public wxDialog
{
    public:
        datepicker(wxWindow *wnd, datosDatePicker &datos);
        virtual ~datepicker();

    protected:
        enum
        {
            iddatepicker = 1000
        };
        datosDatePicker& data;
        wxDatePickerCtrl* m_datepicker;

    private:
        void OnClose(wxCloseEvent& event);
        wxDECLARE_EVENT_TABLE();
};

#endif // DATEPICKER_H
