/***************************************************************
 * Name:      festivos.h
 * Purpose:   Defines  wxDateTimeFestivos
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-12-25
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef FESTIVOS_H
#define FESTIVOS_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <set>

class wxDateTimeFestivos : public wxDateTimeHolidayAuthority
{
public:
    void InsertarFestivo(const wxDateTime& dt);
protected:
    virtual bool DoIsHoliday(const wxDateTime& dt) const wxOVERRIDE;
    virtual size_t DoGetHolidaysInRange(const wxDateTime& dtStart,
                                        const wxDateTime& dtEnd,
                                        wxDateTimeArray& holidays) const wxOVERRIDE;
private:
    std::set<wxDateTime> festivo;
};

#endif // FESTIVOS_H
