/***************************************************************
 * Name:      timepicker.h
 * Purpose:   Defines Dialog timepicker
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-12-29
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef TIMEPICKER_H
#define TIMEPICKER_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/timectrl.h>

class datosTimePicker
{
    public:
        datosTimePicker(wxDateTime dt=wxDefaultDateTime) : valor(dt) {}

    //private:
        wxDateTime valor;
};

class tpValidator : public wxValidator {
public:
    tpValidator(wxDateTime *v = nullptr) : m_valor(v) {}
    virtual wxObject* Clone() const { return new tpValidator(*this); }
    virtual bool TransferFromWindow();
    virtual bool TransferToWindow() { return true; }
    virtual bool Validate(wxWindow * parent) { return true; }
private:
    wxDateTime* m_valor;
    DECLARE_DYNAMIC_CLASS( tpValidator )
    DECLARE_EVENT_TABLE()
};

class timepicker : public wxDialog
{
    public:
        timepicker(wxWindow *wnd, datosTimePicker &datos);
        virtual ~timepicker();

    protected:
        enum
        {
            idtimepicker = 1000
        };
        datosTimePicker& data;
        wxTimePickerCtrl* m_timepicker;

    private:
        void OnClose(wxCloseEvent& event);
        wxDECLARE_EVENT_TABLE();
};

#endif // TIMEPICKER_H
