/***************************************************************
 * Name:      domingos.cpp
 * Purpose:   Code for wxDateTimeDomingos
 * Author:    Salvador Pozo (salvapozo@gmail.com)
 * Created:   2024-12-25
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#include "domingos.h"

bool wxDateTimeDomingos::DoIsHoliday(const wxDateTime& dt) const
{
    // Marcar los domingos
    return (dt.GetWeekDay() == wxDateTime::Sun);
}

size_t wxDateTimeDomingos::DoGetHolidaysInRange(const wxDateTime& dtStart,
                                                const wxDateTime& dtEnd,
                                                wxDateTimeArray& holidays) const
{
    if( dtStart > dtEnd ) {
        wxFAIL_MSG( wxT("rango de fechas inválido en GetHolidaysInRange") );

        return 0u;
    }

    holidays.Empty();

    wxDateTime dtPrimerDomingo = dtStart.GetNextWeekDay(wxDateTime::Sun);
    wxDateTime dtUltimoDomingo = dtEnd.GetPrevWeekDay(wxDateTime::Sun);

    for(wxDateTime dt = dtPrimerDomingo; dt <= dtUltimoDomingo; dt += wxDateSpan::Week()) {
        holidays.Add(dt);
    }
    return holidays.GetCount();
}
