/***************************************************************
 * Name:      festivos.cpp
 * Purpose:   Code for wxDateTimeFestivos
 * Author:    Salvador Pozo (salvapozo@gmail.com)
 * Created:   2024-12-25
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

 #include "festivos.h"

bool wxDateTimeFestivos::DoIsHoliday(const wxDateTime& dt) const
{
    auto busca = festivo.find(dt);
    return busca != festivo.end();
}

size_t wxDateTimeFestivos::DoGetHolidaysInRange(const wxDateTime& dtStart,
                                                const wxDateTime& dtEnd,
                                                wxDateTimeArray& holidays) const
{
    if( dtStart > dtEnd ) {
        wxFAIL_MSG( wxT("rango de fechas inválido en GetHolidaysInRange") );

        return 0u;
    }

    holidays.Empty();

    for(wxDateTime dt : festivo) {
       if(dt >= dtStart && dt <= dtEnd) holidays.Add(dt);
    }
    return holidays.GetCount();
}

void wxDateTimeFestivos::InsertarFestivo(const wxDateTime& dt) {
    festivo.insert(dt);
}
