/***************************************************************
 * Name:      wx014Main.h
 * Purpose:   Defines Application Frame
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-12-25
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifndef WX014MAIN_H
#define WX014MAIN_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "wx014App.h"
#include "calendar.h"
#include "datepicker.h"
#include "timepicker.h"

class wx014Frame: public wxFrame
{
    public:
        wx014Frame(wxFrame *frame, const wxString& title);
        ~wx014Frame();
    private:
        enum
        {
            idMenuQuit = 1000,
            idMenuAbout,
            idMenuCalendar,
            idMenuDatePicker,
            idMenuTimePicker
        };
        datosCalendar dataCalendar;
        datosDatePicker dataDatepicker;
        datosTimePicker dataTimepicker;
        void OnClose(wxCloseEvent& event);
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnCalendar(wxCommandEvent& event);
        void OnDatePicker(wxCommandEvent& event);
        void OnTimePicker(wxCommandEvent& event);
        DECLARE_EVENT_TABLE()
};


#endif // WX014MAIN_H
